module bts_config(

   input          clkin_50,            //1.8V    //50 MHz.


//FM-Shared-Bus---(Flash/Max)----------//49 pins //--------------------------
   output  [26:0] fm_a,               //1.8V    //Address
   inout   [15:0] fm_d,               //1.8V    //Data
   //output         flash_advn,          //1.8V    //Flash Address Valid
   output         flash_cen,           //1.8V    //Flash Chip Enable
   output         flash_clk,           //1.8V    //Flash Clock
   output         flash_oen,           //1.8V    //Flash Output Enable
   input          flash_rdybsyn,       //1.8V    //Flash Ready/Busy
   output         flash_resetn,        //1.8V    //Flash Reset
   output         flash_wen,           //1.8V    //Flash Write Enable

   inout          max_clk,            //1.5V    //Max II Clk
   output         max_csn,            //1.5V    //Max II Chip Select
   output         max_oen,            //1.5V    //Max II Output Enable
   output         max_wen,            //1.5V    //Max II Write Enable

//Character-LCD------------------------//2 pins //--------------------------

   inout          disp_i2c_scl,            //2.5V    //LCD 
   inout    		disp_i2c_sda,            //2.5V    //LCD Data

//User-IO------------------------------//28 pins //--------------------------
   input    [7:0] user_dipsw,          //2.5V //User DIP Switches (TR=0)
   output   [7:0] user_led,          //2.5V	//Green User LEDs
   input    [2:0] user_pb,             //2.5V   //User Pushbuttons (TR=0)

   input          cpu_resetn          //2.5V   //CPU Reset Pushbutton (TR=0)
	
);


    q_sys u0 (
        .clk_clk                             (clkin_50),
        .reset_reset_n                       (cpu_resetn),
		  
        .fm_out_tb_data                      (fm_d),
        .fm_out_tb_address                   (fm_a),
		  
        .fm_out_flash_oen                    (flash_oen),
        .fm_out_flash_csn                    (flash_cen),
        .fm_out_flash_wen                    (flash_wen),
		  
        .fm_out_max_csn                      (max_csn),
        .fm_out_max_wen                      (max_wen),
        .fm_out_max_oen                      (max_oen),
		  
        .pio_pb_export                       (user_pb),
        .pio_dipsw_export                    (user_dipsw),
        .pio_led_export                      (user_led),
        .opencores_i2c_0_export_0_scl_pad_io (disp_i2c_scl),
        .opencores_i2c_0_export_0_sda_pad_io (disp_i2c_sda)
    );

		assign flash_resetn = 1;
		
	 
endmodule
