	component q_sys is
		port (
			clk_clk                             : in    std_logic                     := 'X';             -- clk
			reset_reset_n                       : in    std_logic                     := 'X';             -- reset_n
			fm_out_flash_oen                    : out   std_logic_vector(0 downto 0);                     -- flash_oen
			fm_out_tb_data                      : inout std_logic_vector(15 downto 0) := (others => 'X'); -- tb_data
			fm_out_max_csn                      : out   std_logic_vector(0 downto 0);                     -- max_csn
			fm_out_flash_csn                    : out   std_logic_vector(0 downto 0);                     -- flash_csn
			fm_out_max_wen                      : out   std_logic_vector(0 downto 0);                     -- max_wen
			fm_out_flash_wen                    : out   std_logic_vector(0 downto 0);                     -- flash_wen
			fm_out_tb_address                   : out   std_logic_vector(26 downto 0);                    -- tb_address
			fm_out_max_oen                      : out   std_logic_vector(0 downto 0);                     -- max_oen
			pio_pb_export                       : in    std_logic_vector(2 downto 0)  := (others => 'X'); -- export
			pio_dipsw_export                    : in    std_logic_vector(7 downto 0)  := (others => 'X'); -- export
			pio_led_export                      : out   std_logic_vector(7 downto 0);                     -- export
			opencores_i2c_0_export_0_scl_pad_io : inout std_logic                     := 'X';             -- scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io : inout std_logic                     := 'X'              -- sda_pad_io
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_clk                             => CONNECTED_TO_clk_clk,                             --                      clk.clk
			reset_reset_n                       => CONNECTED_TO_reset_reset_n,                       --                    reset.reset_n
			fm_out_flash_oen                    => CONNECTED_TO_fm_out_flash_oen,                    --                   fm_out.flash_oen
			fm_out_tb_data                      => CONNECTED_TO_fm_out_tb_data,                      --                         .tb_data
			fm_out_max_csn                      => CONNECTED_TO_fm_out_max_csn,                      --                         .max_csn
			fm_out_flash_csn                    => CONNECTED_TO_fm_out_flash_csn,                    --                         .flash_csn
			fm_out_max_wen                      => CONNECTED_TO_fm_out_max_wen,                      --                         .max_wen
			fm_out_flash_wen                    => CONNECTED_TO_fm_out_flash_wen,                    --                         .flash_wen
			fm_out_tb_address                   => CONNECTED_TO_fm_out_tb_address,                   --                         .tb_address
			fm_out_max_oen                      => CONNECTED_TO_fm_out_max_oen,                      --                         .max_oen
			pio_pb_export                       => CONNECTED_TO_pio_pb_export,                       --                   pio_pb.export
			pio_dipsw_export                    => CONNECTED_TO_pio_dipsw_export,                    --                pio_dipsw.export
			pio_led_export                      => CONNECTED_TO_pio_led_export,                      --                  pio_led.export
			opencores_i2c_0_export_0_scl_pad_io => CONNECTED_TO_opencores_i2c_0_export_0_scl_pad_io, -- opencores_i2c_0_export_0.scl_pad_io
			opencores_i2c_0_export_0_sda_pad_io => CONNECTED_TO_opencores_i2c_0_export_0_sda_pad_io  --                         .sda_pad_io
		);

