// (C) 2001-2022 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


// $Id: //acds/rel/22.1std/ip/merlin/altera_tristate_conduit_bridge/altera_tristate_conduit_bridge.sv.terp#1 $
// $Revision: #1 $
// $Date: 2021/10/27 $
// $Author: psgswbuild $

//Defined Terp Parameters


			    

`timescale 1 ns / 1 ns
  				      
module q_sys_fm (
     input  logic clk
    ,input  logic reset
    ,input  logic request
    ,output logic grant
    ,input  logic[ 0 :0 ] tcs_flash_oen
    ,output  wire [ 0 :0 ] flash_oen
    ,output logic[ 15 :0 ] tcs_tb_data_in
    ,input  logic[ 15 :0 ] tcs_tb_data
    ,input  logic tcs_tb_data_outen
    ,inout  wire [ 15 :0 ]  tb_data
    ,input  logic[ 0 :0 ] tcs_max_csn
    ,output  wire [ 0 :0 ] max_csn
    ,input  logic[ 0 :0 ] tcs_flash_csn
    ,output  wire [ 0 :0 ] flash_csn
    ,input  logic[ 0 :0 ] tcs_max_wen
    ,output  wire [ 0 :0 ] max_wen
    ,input  logic[ 0 :0 ] tcs_flash_wen
    ,output  wire [ 0 :0 ] flash_wen
    ,input  logic[ 26 :0 ] tcs_tb_address
    ,output  wire [ 26 :0 ] tb_address
    ,input  logic[ 0 :0 ] tcs_max_oen
    ,output  wire [ 0 :0 ] max_oen
		     
   );
   reg grant_reg;
   assign grant = grant_reg;
   
   always@(posedge clk) begin
      if(reset)
	grant_reg <= 0;
      else
	grant_reg <= request;      
   end
   


 // ** Output Pin flash_oen 
 
    reg                       flash_oenen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   flash_oenen_reg <= 'b0;
	 end
	 else begin
	   flash_oenen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] flash_oen_reg;   

     always@(posedge clk) begin
	 flash_oen_reg   <= tcs_flash_oen[ 0 : 0 ];
      end
          
 
    assign 	flash_oen[ 0 : 0 ] = flash_oenen_reg ? flash_oen_reg : 'z ;
        


 // ** Bidirectional Pin tb_data 
   
    reg                       tb_data_outen_reg;
  
    always@(posedge clk) begin
	 tb_data_outen_reg <= tcs_tb_data_outen;
     end
  
  
    reg [ 15 : 0 ] tb_data_reg;   

     always@(posedge clk) begin
	 tb_data_reg   <= tcs_tb_data[ 15 : 0 ];
      end
         
  
    assign 	tb_data[ 15 : 0 ] = tb_data_outen_reg ? tb_data_reg : 'z ;
       
  
    reg [ 15 : 0 ] 	tb_data_in_reg;
								    
    always@(posedge clk) begin
	 tb_data_in_reg <= tb_data[ 15 : 0 ];
    end
    
  
    assign      tcs_tb_data_in[ 15 : 0 ] = tb_data_in_reg[ 15 : 0 ];
        


 // ** Output Pin max_csn 
 
    reg                       max_csnen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   max_csnen_reg <= 'b0;
	 end
	 else begin
	   max_csnen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] max_csn_reg;   

     always@(posedge clk) begin
	 max_csn_reg   <= tcs_max_csn[ 0 : 0 ];
      end
          
 
    assign 	max_csn[ 0 : 0 ] = max_csnen_reg ? max_csn_reg : 'z ;
        


 // ** Output Pin flash_csn 
 
    reg                       flash_csnen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   flash_csnen_reg <= 'b0;
	 end
	 else begin
	   flash_csnen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] flash_csn_reg;   

     always@(posedge clk) begin
	 flash_csn_reg   <= tcs_flash_csn[ 0 : 0 ];
      end
          
 
    assign 	flash_csn[ 0 : 0 ] = flash_csnen_reg ? flash_csn_reg : 'z ;
        


 // ** Output Pin max_wen 
 
    reg                       max_wenen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   max_wenen_reg <= 'b0;
	 end
	 else begin
	   max_wenen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] max_wen_reg;   

     always@(posedge clk) begin
	 max_wen_reg   <= tcs_max_wen[ 0 : 0 ];
      end
          
 
    assign 	max_wen[ 0 : 0 ] = max_wenen_reg ? max_wen_reg : 'z ;
        


 // ** Output Pin flash_wen 
 
    reg                       flash_wenen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   flash_wenen_reg <= 'b0;
	 end
	 else begin
	   flash_wenen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] flash_wen_reg;   

     always@(posedge clk) begin
	 flash_wen_reg   <= tcs_flash_wen[ 0 : 0 ];
      end
          
 
    assign 	flash_wen[ 0 : 0 ] = flash_wenen_reg ? flash_wen_reg : 'z ;
        


 // ** Output Pin tb_address 
 
    reg                       tb_addressen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   tb_addressen_reg <= 'b0;
	 end
	 else begin
	   tb_addressen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 26 : 0 ] tb_address_reg;   

     always@(posedge clk) begin
	 tb_address_reg   <= tcs_tb_address[ 26 : 0 ];
      end
          
 
    assign 	tb_address[ 26 : 0 ] = tb_addressen_reg ? tb_address_reg : 'z ;
        


 // ** Output Pin max_oen 
 
    reg                       max_oenen_reg;     
  
    always@(posedge clk) begin
	 if( reset ) begin
	   max_oenen_reg <= 'b0;
	 end
	 else begin
	   max_oenen_reg <= 'b1;
	 end
     end		     
   
 
    reg [ 0 : 0 ] max_oen_reg;   

     always@(posedge clk) begin
	 max_oen_reg   <= tcs_max_oen[ 0 : 0 ];
      end
          
 
    assign 	max_oen[ 0 : 0 ] = max_oenen_reg ? max_oen_reg : 'z ;
        

endmodule

