	component q_sys is
		port (
			clk_50_clk                 : in    std_logic                     := 'X';             -- clk
			reset_50_reset_n           : in    std_logic                     := 'X';             -- reset_n
			oct_hmc_rzqin              : in    std_logic                     := 'X';             -- rzqin
			memory_hmc_mem_a           : out   std_logic_vector(13 downto 0);                    -- mem_a
			memory_hmc_mem_ba          : out   std_logic_vector(2 downto 0);                     -- mem_ba
			memory_hmc_mem_ck          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			memory_hmc_mem_ck_n        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			memory_hmc_mem_cke         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			memory_hmc_mem_cs_n        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			memory_hmc_mem_dm          : out   std_logic_vector(4 downto 0);                     -- mem_dm
			memory_hmc_mem_ras_n       : out   std_logic_vector(0 downto 0);                     -- mem_ras_n
			memory_hmc_mem_cas_n       : out   std_logic_vector(0 downto 0);                     -- mem_cas_n
			memory_hmc_mem_we_n        : out   std_logic_vector(0 downto 0);                     -- mem_we_n
			memory_hmc_mem_reset_n     : out   std_logic;                                        -- mem_reset_n
			memory_hmc_mem_dq          : inout std_logic_vector(39 downto 0) := (others => 'X'); -- mem_dq
			memory_hmc_mem_dqs         : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs
			memory_hmc_mem_dqs_n       : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_n
			memory_hmc_mem_odt         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			memory_smc_mem_a           : out   std_logic_vector(13 downto 0);                    -- mem_a
			memory_smc_mem_ba          : out   std_logic_vector(2 downto 0);                     -- mem_ba
			memory_smc_mem_ck          : out   std_logic_vector(0 downto 0);                     -- mem_ck
			memory_smc_mem_ck_n        : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			memory_smc_mem_cke         : out   std_logic_vector(0 downto 0);                     -- mem_cke
			memory_smc_mem_cs_n        : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			memory_smc_mem_dm          : out   std_logic_vector(7 downto 0);                     -- mem_dm
			memory_smc_mem_ras_n       : out   std_logic_vector(0 downto 0);                     -- mem_ras_n
			memory_smc_mem_cas_n       : out   std_logic_vector(0 downto 0);                     -- mem_cas_n
			memory_smc_mem_we_n        : out   std_logic_vector(0 downto 0);                     -- mem_we_n
			memory_smc_mem_reset_n     : out   std_logic;                                        -- mem_reset_n
			memory_smc_mem_dq          : inout std_logic_vector(63 downto 0) := (others => 'X'); -- mem_dq
			memory_smc_mem_dqs         : inout std_logic_vector(7 downto 0)  := (others => 'X'); -- mem_dqs
			memory_smc_mem_dqs_n       : inout std_logic_vector(7 downto 0)  := (others => 'X'); -- mem_dqs_n
			memory_smc_mem_odt         : out   std_logic_vector(0 downto 0);                     -- mem_odt
			hmc_status_cal_fail_mon    : out   std_logic;                                        -- cal_fail_mon
			hmc_status_cal_success_mon : out   std_logic;                                        -- cal_success_mon
			hmc_status_init_done_mon   : out   std_logic;                                        -- init_done_mon
			smc_status_cal_fail_mon    : out   std_logic;                                        -- cal_fail_mon
			smc_status_cal_success_mon : out   std_logic;                                        -- cal_success_mon
			smc_status_init_done_mon   : out   std_logic;                                        -- init_done_mon
			smc_error_mon              : out   std_logic;                                        -- error_mon
			smc_status_mon             : out   std_logic;                                        -- status_mon
			hmc_error_mon              : out   std_logic;                                        -- error_mon
			hmc_status_mon             : out   std_logic;                                        -- status_mon
			clk_hmc_clk                : in    std_logic                     := 'X';             -- clk
			clk_smc_clk                : in    std_logic                     := 'X';             -- clk
			tg_smc_reset_n             : in    std_logic                     := 'X';             -- reset_n
			tg_hmc_reset_n             : in    std_logic                     := 'X';             -- reset_n
			reset_hmc_reset_n          : in    std_logic                     := 'X';             -- reset_n
			reset_smc_reset_n          : in    std_logic                     := 'X'              -- reset_n
		);
	end component q_sys;

	u0 : component q_sys
		port map (
			clk_50_clk                 => CONNECTED_TO_clk_50_clk,                 --     clk_50.clk
			reset_50_reset_n           => CONNECTED_TO_reset_50_reset_n,           --   reset_50.reset_n
			oct_hmc_rzqin              => CONNECTED_TO_oct_hmc_rzqin,              --    oct_hmc.rzqin
			memory_hmc_mem_a           => CONNECTED_TO_memory_hmc_mem_a,           -- memory_hmc.mem_a
			memory_hmc_mem_ba          => CONNECTED_TO_memory_hmc_mem_ba,          --           .mem_ba
			memory_hmc_mem_ck          => CONNECTED_TO_memory_hmc_mem_ck,          --           .mem_ck
			memory_hmc_mem_ck_n        => CONNECTED_TO_memory_hmc_mem_ck_n,        --           .mem_ck_n
			memory_hmc_mem_cke         => CONNECTED_TO_memory_hmc_mem_cke,         --           .mem_cke
			memory_hmc_mem_cs_n        => CONNECTED_TO_memory_hmc_mem_cs_n,        --           .mem_cs_n
			memory_hmc_mem_dm          => CONNECTED_TO_memory_hmc_mem_dm,          --           .mem_dm
			memory_hmc_mem_ras_n       => CONNECTED_TO_memory_hmc_mem_ras_n,       --           .mem_ras_n
			memory_hmc_mem_cas_n       => CONNECTED_TO_memory_hmc_mem_cas_n,       --           .mem_cas_n
			memory_hmc_mem_we_n        => CONNECTED_TO_memory_hmc_mem_we_n,        --           .mem_we_n
			memory_hmc_mem_reset_n     => CONNECTED_TO_memory_hmc_mem_reset_n,     --           .mem_reset_n
			memory_hmc_mem_dq          => CONNECTED_TO_memory_hmc_mem_dq,          --           .mem_dq
			memory_hmc_mem_dqs         => CONNECTED_TO_memory_hmc_mem_dqs,         --           .mem_dqs
			memory_hmc_mem_dqs_n       => CONNECTED_TO_memory_hmc_mem_dqs_n,       --           .mem_dqs_n
			memory_hmc_mem_odt         => CONNECTED_TO_memory_hmc_mem_odt,         --           .mem_odt
			memory_smc_mem_a           => CONNECTED_TO_memory_smc_mem_a,           -- memory_smc.mem_a
			memory_smc_mem_ba          => CONNECTED_TO_memory_smc_mem_ba,          --           .mem_ba
			memory_smc_mem_ck          => CONNECTED_TO_memory_smc_mem_ck,          --           .mem_ck
			memory_smc_mem_ck_n        => CONNECTED_TO_memory_smc_mem_ck_n,        --           .mem_ck_n
			memory_smc_mem_cke         => CONNECTED_TO_memory_smc_mem_cke,         --           .mem_cke
			memory_smc_mem_cs_n        => CONNECTED_TO_memory_smc_mem_cs_n,        --           .mem_cs_n
			memory_smc_mem_dm          => CONNECTED_TO_memory_smc_mem_dm,          --           .mem_dm
			memory_smc_mem_ras_n       => CONNECTED_TO_memory_smc_mem_ras_n,       --           .mem_ras_n
			memory_smc_mem_cas_n       => CONNECTED_TO_memory_smc_mem_cas_n,       --           .mem_cas_n
			memory_smc_mem_we_n        => CONNECTED_TO_memory_smc_mem_we_n,        --           .mem_we_n
			memory_smc_mem_reset_n     => CONNECTED_TO_memory_smc_mem_reset_n,     --           .mem_reset_n
			memory_smc_mem_dq          => CONNECTED_TO_memory_smc_mem_dq,          --           .mem_dq
			memory_smc_mem_dqs         => CONNECTED_TO_memory_smc_mem_dqs,         --           .mem_dqs
			memory_smc_mem_dqs_n       => CONNECTED_TO_memory_smc_mem_dqs_n,       --           .mem_dqs_n
			memory_smc_mem_odt         => CONNECTED_TO_memory_smc_mem_odt,         --           .mem_odt
			hmc_status_cal_fail_mon    => CONNECTED_TO_hmc_status_cal_fail_mon,    -- hmc_status.cal_fail_mon
			hmc_status_cal_success_mon => CONNECTED_TO_hmc_status_cal_success_mon, --           .cal_success_mon
			hmc_status_init_done_mon   => CONNECTED_TO_hmc_status_init_done_mon,   --           .init_done_mon
			smc_status_cal_fail_mon    => CONNECTED_TO_smc_status_cal_fail_mon,    -- smc_status.cal_fail_mon
			smc_status_cal_success_mon => CONNECTED_TO_smc_status_cal_success_mon, --           .cal_success_mon
			smc_status_init_done_mon   => CONNECTED_TO_smc_status_init_done_mon,   --           .init_done_mon
			smc_error_mon              => CONNECTED_TO_smc_error_mon,              --        smc.error_mon
			smc_status_mon             => CONNECTED_TO_smc_status_mon,             --           .status_mon
			hmc_error_mon              => CONNECTED_TO_hmc_error_mon,              --        hmc.error_mon
			hmc_status_mon             => CONNECTED_TO_hmc_status_mon,             --           .status_mon
			clk_hmc_clk                => CONNECTED_TO_clk_hmc_clk,                --    clk_hmc.clk
			clk_smc_clk                => CONNECTED_TO_clk_smc_clk,                --    clk_smc.clk
			tg_smc_reset_n             => CONNECTED_TO_tg_smc_reset_n,             --     tg_smc.reset_n
			tg_hmc_reset_n             => CONNECTED_TO_tg_hmc_reset_n,             --     tg_hmc.reset_n
			reset_hmc_reset_n          => CONNECTED_TO_reset_hmc_reset_n,          --  reset_hmc.reset_n
			reset_smc_reset_n          => CONNECTED_TO_reset_smc_reset_n           --  reset_smc.reset_n
		);

