// q_sys.v

// Generated using ACDS version 15.1 185

`timescale 1 ps / 1 ps
module q_sys (
		input  wire        clk_50_clk,                 //     clk_50.clk
		input  wire        clk_hmc_clk,                //    clk_hmc.clk
		input  wire        clk_smc_clk,                //    clk_smc.clk
		output wire        hmc_error_mon,              //        hmc.error_mon
		output wire        hmc_status_mon,             //           .status_mon
		output wire        hmc_status_cal_fail_mon,    // hmc_status.cal_fail_mon
		output wire        hmc_status_cal_success_mon, //           .cal_success_mon
		output wire        hmc_status_init_done_mon,   //           .init_done_mon
		output wire [13:0] memory_hmc_mem_a,           // memory_hmc.mem_a
		output wire [2:0]  memory_hmc_mem_ba,          //           .mem_ba
		output wire [0:0]  memory_hmc_mem_ck,          //           .mem_ck
		output wire [0:0]  memory_hmc_mem_ck_n,        //           .mem_ck_n
		output wire [0:0]  memory_hmc_mem_cke,         //           .mem_cke
		output wire [0:0]  memory_hmc_mem_cs_n,        //           .mem_cs_n
		output wire [4:0]  memory_hmc_mem_dm,          //           .mem_dm
		output wire [0:0]  memory_hmc_mem_ras_n,       //           .mem_ras_n
		output wire [0:0]  memory_hmc_mem_cas_n,       //           .mem_cas_n
		output wire [0:0]  memory_hmc_mem_we_n,        //           .mem_we_n
		output wire        memory_hmc_mem_reset_n,     //           .mem_reset_n
		inout  wire [39:0] memory_hmc_mem_dq,          //           .mem_dq
		inout  wire [4:0]  memory_hmc_mem_dqs,         //           .mem_dqs
		inout  wire [4:0]  memory_hmc_mem_dqs_n,       //           .mem_dqs_n
		output wire [0:0]  memory_hmc_mem_odt,         //           .mem_odt
		output wire [13:0] memory_smc_mem_a,           // memory_smc.mem_a
		output wire [2:0]  memory_smc_mem_ba,          //           .mem_ba
		output wire [0:0]  memory_smc_mem_ck,          //           .mem_ck
		output wire [0:0]  memory_smc_mem_ck_n,        //           .mem_ck_n
		output wire [0:0]  memory_smc_mem_cke,         //           .mem_cke
		output wire [0:0]  memory_smc_mem_cs_n,        //           .mem_cs_n
		output wire [7:0]  memory_smc_mem_dm,          //           .mem_dm
		output wire [0:0]  memory_smc_mem_ras_n,       //           .mem_ras_n
		output wire [0:0]  memory_smc_mem_cas_n,       //           .mem_cas_n
		output wire [0:0]  memory_smc_mem_we_n,        //           .mem_we_n
		output wire        memory_smc_mem_reset_n,     //           .mem_reset_n
		inout  wire [63:0] memory_smc_mem_dq,          //           .mem_dq
		inout  wire [7:0]  memory_smc_mem_dqs,         //           .mem_dqs
		inout  wire [7:0]  memory_smc_mem_dqs_n,       //           .mem_dqs_n
		output wire [0:0]  memory_smc_mem_odt,         //           .mem_odt
		input  wire        oct_hmc_rzqin,              //    oct_hmc.rzqin
		input  wire        reset_50_reset_n,           //   reset_50.reset_n
		input  wire        reset_hmc_reset_n,          //  reset_hmc.reset_n
		input  wire        reset_smc_reset_n,          //  reset_smc.reset_n
		output wire        smc_error_mon,              //        smc.error_mon
		output wire        smc_status_mon,             //           .status_mon
		output wire        smc_status_cal_fail_mon,    // smc_status.cal_fail_mon
		output wire        smc_status_cal_success_mon, //           .cal_success_mon
		output wire        smc_status_init_done_mon,   //           .init_done_mon
		input  wire        tg_hmc_reset_n,             //     tg_hmc.reset_n
		input  wire        tg_smc_reset_n              //     tg_smc.reset_n
	);

	wire  [15:0] hmc_0_fpga_sdram_oct_sharing_parallelterminationcontrol;    // hmc_0:fpga_sdram_oct_sharing_parallelterminationcontrol -> smc_0:mem_if_ddr3_emif_0_oct_sharing_parallelterminationcontrol
	wire  [15:0] hmc_0_fpga_sdram_oct_sharing_seriesterminationcontrol;      // hmc_0:fpga_sdram_oct_sharing_seriesterminationcontrol -> smc_0:mem_if_ddr3_emif_0_oct_sharing_seriesterminationcontrol
	wire  [31:0] master_0_master_readdata;                                   // mm_interconnect_0:master_0_master_readdata -> master_0:master_readdata
	wire         master_0_master_waitrequest;                                // mm_interconnect_0:master_0_master_waitrequest -> master_0:master_waitrequest
	wire  [31:0] master_0_master_address;                                    // master_0:master_address -> mm_interconnect_0:master_0_master_address
	wire         master_0_master_read;                                       // master_0:master_read -> mm_interconnect_0:master_0_master_read
	wire   [3:0] master_0_master_byteenable;                                 // master_0:master_byteenable -> mm_interconnect_0:master_0_master_byteenable
	wire         master_0_master_readdatavalid;                              // mm_interconnect_0:master_0_master_readdatavalid -> master_0:master_readdatavalid
	wire         master_0_master_write;                                      // master_0:master_write -> mm_interconnect_0:master_0_master_write
	wire  [31:0] master_0_master_writedata;                                  // master_0:master_writedata -> mm_interconnect_0:master_0_master_writedata
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_chipselect; // mm_interconnect_0:product_info_0_avalon_slave_0_chipselect -> product_info_0:chipselect_n
	wire  [31:0] mm_interconnect_0_product_info_0_avalon_slave_0_readdata;   // product_info_0:av_data_read -> mm_interconnect_0:product_info_0_avalon_slave_0_readdata
	wire   [1:0] mm_interconnect_0_product_info_0_avalon_slave_0_address;    // mm_interconnect_0:product_info_0_avalon_slave_0_address -> product_info_0:av_address
	wire         mm_interconnect_0_product_info_0_avalon_slave_0_read;       // mm_interconnect_0:product_info_0_avalon_slave_0_read -> product_info_0:read_n
	wire  [31:0] mm_interconnect_0_smc_0_mm_bridge_0_s0_readdata;            // smc_0:mm_bridge_0_s0_readdata -> mm_interconnect_0:smc_0_mm_bridge_0_s0_readdata
	wire         mm_interconnect_0_smc_0_mm_bridge_0_s0_waitrequest;         // smc_0:mm_bridge_0_s0_waitrequest -> mm_interconnect_0:smc_0_mm_bridge_0_s0_waitrequest
	wire         mm_interconnect_0_smc_0_mm_bridge_0_s0_debugaccess;         // mm_interconnect_0:smc_0_mm_bridge_0_s0_debugaccess -> smc_0:mm_bridge_0_s0_debugaccess
	wire  [21:0] mm_interconnect_0_smc_0_mm_bridge_0_s0_address;             // mm_interconnect_0:smc_0_mm_bridge_0_s0_address -> smc_0:mm_bridge_0_s0_address
	wire         mm_interconnect_0_smc_0_mm_bridge_0_s0_read;                // mm_interconnect_0:smc_0_mm_bridge_0_s0_read -> smc_0:mm_bridge_0_s0_read
	wire   [3:0] mm_interconnect_0_smc_0_mm_bridge_0_s0_byteenable;          // mm_interconnect_0:smc_0_mm_bridge_0_s0_byteenable -> smc_0:mm_bridge_0_s0_byteenable
	wire         mm_interconnect_0_smc_0_mm_bridge_0_s0_readdatavalid;       // smc_0:mm_bridge_0_s0_readdatavalid -> mm_interconnect_0:smc_0_mm_bridge_0_s0_readdatavalid
	wire         mm_interconnect_0_smc_0_mm_bridge_0_s0_write;               // mm_interconnect_0:smc_0_mm_bridge_0_s0_write -> smc_0:mm_bridge_0_s0_write
	wire  [31:0] mm_interconnect_0_smc_0_mm_bridge_0_s0_writedata;           // mm_interconnect_0:smc_0_mm_bridge_0_s0_writedata -> smc_0:mm_bridge_0_s0_writedata
	wire   [0:0] mm_interconnect_0_smc_0_mm_bridge_0_s0_burstcount;          // mm_interconnect_0:smc_0_mm_bridge_0_s0_burstcount -> smc_0:mm_bridge_0_s0_burstcount
	wire  [31:0] mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdata;            // hmc_0:mm_bridge_0_s0_readdata -> mm_interconnect_0:hmc_0_mm_bridge_0_s0_readdata
	wire         mm_interconnect_0_hmc_0_mm_bridge_0_s0_waitrequest;         // hmc_0:mm_bridge_0_s0_waitrequest -> mm_interconnect_0:hmc_0_mm_bridge_0_s0_waitrequest
	wire         mm_interconnect_0_hmc_0_mm_bridge_0_s0_debugaccess;         // mm_interconnect_0:hmc_0_mm_bridge_0_s0_debugaccess -> hmc_0:mm_bridge_0_s0_debugaccess
	wire  [21:0] mm_interconnect_0_hmc_0_mm_bridge_0_s0_address;             // mm_interconnect_0:hmc_0_mm_bridge_0_s0_address -> hmc_0:mm_bridge_0_s0_address
	wire         mm_interconnect_0_hmc_0_mm_bridge_0_s0_read;                // mm_interconnect_0:hmc_0_mm_bridge_0_s0_read -> hmc_0:mm_bridge_0_s0_read
	wire   [3:0] mm_interconnect_0_hmc_0_mm_bridge_0_s0_byteenable;          // mm_interconnect_0:hmc_0_mm_bridge_0_s0_byteenable -> hmc_0:mm_bridge_0_s0_byteenable
	wire         mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdatavalid;       // hmc_0:mm_bridge_0_s0_readdatavalid -> mm_interconnect_0:hmc_0_mm_bridge_0_s0_readdatavalid
	wire         mm_interconnect_0_hmc_0_mm_bridge_0_s0_write;               // mm_interconnect_0:hmc_0_mm_bridge_0_s0_write -> hmc_0:mm_bridge_0_s0_write
	wire  [31:0] mm_interconnect_0_hmc_0_mm_bridge_0_s0_writedata;           // mm_interconnect_0:hmc_0_mm_bridge_0_s0_writedata -> hmc_0:mm_bridge_0_s0_writedata
	wire   [0:0] mm_interconnect_0_hmc_0_mm_bridge_0_s0_burstcount;          // mm_interconnect_0:hmc_0_mm_bridge_0_s0_burstcount -> hmc_0:mm_bridge_0_s0_burstcount
	wire         rst_controller_reset_out_reset;                             // rst_controller:reset_out -> [mm_interconnect_0:master_0_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_0:product_info_0_clock_reset_reset_reset_bridge_in_reset_reset, product_info_0:reset_n]

	q_sys_hmc_0 hmc_0 (
		.clk_50_clk                                        (clk_50_clk),                                              //                             clk_50.clk
		.fpga_memory_mem_a                                 (memory_hmc_mem_a),                                        //                        fpga_memory.mem_a
		.fpga_memory_mem_ba                                (memory_hmc_mem_ba),                                       //                                   .mem_ba
		.fpga_memory_mem_ck                                (memory_hmc_mem_ck),                                       //                                   .mem_ck
		.fpga_memory_mem_ck_n                              (memory_hmc_mem_ck_n),                                     //                                   .mem_ck_n
		.fpga_memory_mem_cke                               (memory_hmc_mem_cke),                                      //                                   .mem_cke
		.fpga_memory_mem_cs_n                              (memory_hmc_mem_cs_n),                                     //                                   .mem_cs_n
		.fpga_memory_mem_dm                                (memory_hmc_mem_dm),                                       //                                   .mem_dm
		.fpga_memory_mem_ras_n                             (memory_hmc_mem_ras_n),                                    //                                   .mem_ras_n
		.fpga_memory_mem_cas_n                             (memory_hmc_mem_cas_n),                                    //                                   .mem_cas_n
		.fpga_memory_mem_we_n                              (memory_hmc_mem_we_n),                                     //                                   .mem_we_n
		.fpga_memory_mem_reset_n                           (memory_hmc_mem_reset_n),                                  //                                   .mem_reset_n
		.fpga_memory_mem_dq                                (memory_hmc_mem_dq),                                       //                                   .mem_dq
		.fpga_memory_mem_dqs                               (memory_hmc_mem_dqs),                                      //                                   .mem_dqs
		.fpga_memory_mem_dqs_n                             (memory_hmc_mem_dqs_n),                                    //                                   .mem_dqs_n
		.fpga_memory_mem_odt                               (memory_hmc_mem_odt),                                      //                                   .mem_odt
		.fpga_memory_oct_rzqin                             (oct_hmc_rzqin),                                           //                    fpga_memory_oct.rzqin
		.fpga_sdram_oct_sharing_seriesterminationcontrol   (hmc_0_fpga_sdram_oct_sharing_seriesterminationcontrol),   //             fpga_sdram_oct_sharing.seriesterminationcontrol
		.fpga_sdram_oct_sharing_parallelterminationcontrol (hmc_0_fpga_sdram_oct_sharing_parallelterminationcontrol), //                                   .parallelterminationcontrol
		.master_driver_msgdma_0_conduit_end_error_mon      (hmc_error_mon),                                           // master_driver_msgdma_0_conduit_end.error_mon
		.master_driver_msgdma_0_conduit_end_status_mon     (hmc_status_mon),                                          //                                   .status_mon
		.mm_bridge_0_s0_waitrequest                        (mm_interconnect_0_hmc_0_mm_bridge_0_s0_waitrequest),      //                     mm_bridge_0_s0.waitrequest
		.mm_bridge_0_s0_readdata                           (mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdata),         //                                   .readdata
		.mm_bridge_0_s0_readdatavalid                      (mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdatavalid),    //                                   .readdatavalid
		.mm_bridge_0_s0_burstcount                         (mm_interconnect_0_hmc_0_mm_bridge_0_s0_burstcount),       //                                   .burstcount
		.mm_bridge_0_s0_writedata                          (mm_interconnect_0_hmc_0_mm_bridge_0_s0_writedata),        //                                   .writedata
		.mm_bridge_0_s0_address                            (mm_interconnect_0_hmc_0_mm_bridge_0_s0_address),          //                                   .address
		.mm_bridge_0_s0_write                              (mm_interconnect_0_hmc_0_mm_bridge_0_s0_write),            //                                   .write
		.mm_bridge_0_s0_read                               (mm_interconnect_0_hmc_0_mm_bridge_0_s0_read),             //                                   .read
		.mm_bridge_0_s0_byteenable                         (mm_interconnect_0_hmc_0_mm_bridge_0_s0_byteenable),       //                                   .byteenable
		.mm_bridge_0_s0_debugaccess                        (mm_interconnect_0_hmc_0_mm_bridge_0_s0_debugaccess),      //                                   .debugaccess
		.msgdma_0_status_mon_out_cal_fail_mon              (hmc_status_cal_fail_mon),                                 //            msgdma_0_status_mon_out.cal_fail_mon
		.msgdma_0_status_mon_out_cal_success_mon           (hmc_status_cal_success_mon),                              //                                   .cal_success_mon
		.msgdma_0_status_mon_out_init_done_mon             (hmc_status_init_done_mon),                                //                                   .init_done_mon
		.refclk_clk                                        (clk_hmc_clk),                                             //                             refclk.clk
		.reset_reset_n                                     (reset_hmc_reset_n),                                       //                              reset.reset_n
		.reset_50_reset_n                                  (reset_50_reset_n),                                        //                           reset_50.reset_n
		.tg_reset_n                                        (tg_hmc_reset_n)                                           //                                 tg.reset_n
	);

	q_sys_master_0 #(
		.USE_PLI     (0),
		.PLI_PORT    (50000),
		.FIFO_DEPTHS (2)
	) master_0 (
		.clk_clk              (clk_50_clk),                    //          clk.clk
		.clk_reset_reset      (~reset_50_reset_n),             //    clk_reset.reset
		.master_address       (master_0_master_address),       //       master.address
		.master_readdata      (master_0_master_readdata),      //             .readdata
		.master_read          (master_0_master_read),          //             .read
		.master_write         (master_0_master_write),         //             .write
		.master_writedata     (master_0_master_writedata),     //             .writedata
		.master_waitrequest   (master_0_master_waitrequest),   //             .waitrequest
		.master_readdatavalid (master_0_master_readdatavalid), //             .readdatavalid
		.master_byteenable    (master_0_master_byteenable),    //             .byteenable
		.master_reset_reset   ()                               // master_reset.reset
	);

	product_info product_info_0 (
		.clk          (clk_50_clk),                                                  //       clock_reset.clk
		.reset_n      (~rst_controller_reset_out_reset),                             // clock_reset_reset.reset_n
		.chipselect_n (~mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //    avalon_slave_0.chipselect_n
		.read_n       (~mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                  .read_n
		.av_data_read (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),    //                  .readdata
		.av_address   (mm_interconnect_0_product_info_0_avalon_slave_0_address)      //                  .address
	);

	q_sys_smc_0 smc_0 (
		.clk_100_clk                                               (clk_smc_clk),                                             //                            clk_100.clk
		.clk_50_clk                                                (clk_50_clk),                                              //                             clk_50.clk
		.master_driver_msgdma_0_conduit_end_error_mon              (smc_error_mon),                                           // master_driver_msgdma_0_conduit_end.error_mon
		.master_driver_msgdma_0_conduit_end_status_mon             (smc_status_mon),                                          //                                   .status_mon
		.mem_if_ddr3_emif_0_oct_sharing_seriesterminationcontrol   (hmc_0_fpga_sdram_oct_sharing_seriesterminationcontrol),   //     mem_if_ddr3_emif_0_oct_sharing.seriesterminationcontrol
		.mem_if_ddr3_emif_0_oct_sharing_parallelterminationcontrol (hmc_0_fpga_sdram_oct_sharing_parallelterminationcontrol), //                                   .parallelterminationcontrol
		.memory_mem_a                                              (memory_smc_mem_a),                                        //                             memory.mem_a
		.memory_mem_ba                                             (memory_smc_mem_ba),                                       //                                   .mem_ba
		.memory_mem_ck                                             (memory_smc_mem_ck),                                       //                                   .mem_ck
		.memory_mem_ck_n                                           (memory_smc_mem_ck_n),                                     //                                   .mem_ck_n
		.memory_mem_cke                                            (memory_smc_mem_cke),                                      //                                   .mem_cke
		.memory_mem_cs_n                                           (memory_smc_mem_cs_n),                                     //                                   .mem_cs_n
		.memory_mem_dm                                             (memory_smc_mem_dm),                                       //                                   .mem_dm
		.memory_mem_ras_n                                          (memory_smc_mem_ras_n),                                    //                                   .mem_ras_n
		.memory_mem_cas_n                                          (memory_smc_mem_cas_n),                                    //                                   .mem_cas_n
		.memory_mem_we_n                                           (memory_smc_mem_we_n),                                     //                                   .mem_we_n
		.memory_mem_reset_n                                        (memory_smc_mem_reset_n),                                  //                                   .mem_reset_n
		.memory_mem_dq                                             (memory_smc_mem_dq),                                       //                                   .mem_dq
		.memory_mem_dqs                                            (memory_smc_mem_dqs),                                      //                                   .mem_dqs
		.memory_mem_dqs_n                                          (memory_smc_mem_dqs_n),                                    //                                   .mem_dqs_n
		.memory_mem_odt                                            (memory_smc_mem_odt),                                      //                                   .mem_odt
		.mm_bridge_0_s0_waitrequest                                (mm_interconnect_0_smc_0_mm_bridge_0_s0_waitrequest),      //                     mm_bridge_0_s0.waitrequest
		.mm_bridge_0_s0_readdata                                   (mm_interconnect_0_smc_0_mm_bridge_0_s0_readdata),         //                                   .readdata
		.mm_bridge_0_s0_readdatavalid                              (mm_interconnect_0_smc_0_mm_bridge_0_s0_readdatavalid),    //                                   .readdatavalid
		.mm_bridge_0_s0_burstcount                                 (mm_interconnect_0_smc_0_mm_bridge_0_s0_burstcount),       //                                   .burstcount
		.mm_bridge_0_s0_writedata                                  (mm_interconnect_0_smc_0_mm_bridge_0_s0_writedata),        //                                   .writedata
		.mm_bridge_0_s0_address                                    (mm_interconnect_0_smc_0_mm_bridge_0_s0_address),          //                                   .address
		.mm_bridge_0_s0_write                                      (mm_interconnect_0_smc_0_mm_bridge_0_s0_write),            //                                   .write
		.mm_bridge_0_s0_read                                       (mm_interconnect_0_smc_0_mm_bridge_0_s0_read),             //                                   .read
		.mm_bridge_0_s0_byteenable                                 (mm_interconnect_0_smc_0_mm_bridge_0_s0_byteenable),       //                                   .byteenable
		.mm_bridge_0_s0_debugaccess                                (mm_interconnect_0_smc_0_mm_bridge_0_s0_debugaccess),      //                                   .debugaccess
		.msgdma_0_status_mon_out_cal_fail_mon                      (smc_status_cal_fail_mon),                                 //            msgdma_0_status_mon_out.cal_fail_mon
		.msgdma_0_status_mon_out_cal_success_mon                   (smc_status_cal_success_mon),                              //                                   .cal_success_mon
		.msgdma_0_status_mon_out_init_done_mon                     (smc_status_init_done_mon),                                //                                   .init_done_mon
		.reset_reset_n                                             (reset_smc_reset_n),                                       //                              reset.reset_n
		.reset_50_reset_n                                          (reset_50_reset_n),                                        //                           reset_50.reset_n
		.tg_reset_n                                                (tg_smc_reset_n)                                           //                                 tg.reset_n
	);

	q_sys_mm_interconnect_0 mm_interconnect_0 (
		.clk_50_clk_clk                                               (clk_50_clk),                                                 //                                             clk_50_clk.clk
		.master_0_clk_reset_reset_bridge_in_reset_reset               (rst_controller_reset_out_reset),                             //               master_0_clk_reset_reset_bridge_in_reset.reset
		.product_info_0_clock_reset_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                             // product_info_0_clock_reset_reset_reset_bridge_in_reset.reset
		.master_0_master_address                                      (master_0_master_address),                                    //                                        master_0_master.address
		.master_0_master_waitrequest                                  (master_0_master_waitrequest),                                //                                                       .waitrequest
		.master_0_master_byteenable                                   (master_0_master_byteenable),                                 //                                                       .byteenable
		.master_0_master_read                                         (master_0_master_read),                                       //                                                       .read
		.master_0_master_readdata                                     (master_0_master_readdata),                                   //                                                       .readdata
		.master_0_master_readdatavalid                                (master_0_master_readdatavalid),                              //                                                       .readdatavalid
		.master_0_master_write                                        (master_0_master_write),                                      //                                                       .write
		.master_0_master_writedata                                    (master_0_master_writedata),                                  //                                                       .writedata
		.hmc_0_mm_bridge_0_s0_address                                 (mm_interconnect_0_hmc_0_mm_bridge_0_s0_address),             //                                   hmc_0_mm_bridge_0_s0.address
		.hmc_0_mm_bridge_0_s0_write                                   (mm_interconnect_0_hmc_0_mm_bridge_0_s0_write),               //                                                       .write
		.hmc_0_mm_bridge_0_s0_read                                    (mm_interconnect_0_hmc_0_mm_bridge_0_s0_read),                //                                                       .read
		.hmc_0_mm_bridge_0_s0_readdata                                (mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdata),            //                                                       .readdata
		.hmc_0_mm_bridge_0_s0_writedata                               (mm_interconnect_0_hmc_0_mm_bridge_0_s0_writedata),           //                                                       .writedata
		.hmc_0_mm_bridge_0_s0_burstcount                              (mm_interconnect_0_hmc_0_mm_bridge_0_s0_burstcount),          //                                                       .burstcount
		.hmc_0_mm_bridge_0_s0_byteenable                              (mm_interconnect_0_hmc_0_mm_bridge_0_s0_byteenable),          //                                                       .byteenable
		.hmc_0_mm_bridge_0_s0_readdatavalid                           (mm_interconnect_0_hmc_0_mm_bridge_0_s0_readdatavalid),       //                                                       .readdatavalid
		.hmc_0_mm_bridge_0_s0_waitrequest                             (mm_interconnect_0_hmc_0_mm_bridge_0_s0_waitrequest),         //                                                       .waitrequest
		.hmc_0_mm_bridge_0_s0_debugaccess                             (mm_interconnect_0_hmc_0_mm_bridge_0_s0_debugaccess),         //                                                       .debugaccess
		.product_info_0_avalon_slave_0_address                        (mm_interconnect_0_product_info_0_avalon_slave_0_address),    //                          product_info_0_avalon_slave_0.address
		.product_info_0_avalon_slave_0_read                           (mm_interconnect_0_product_info_0_avalon_slave_0_read),       //                                                       .read
		.product_info_0_avalon_slave_0_readdata                       (mm_interconnect_0_product_info_0_avalon_slave_0_readdata),   //                                                       .readdata
		.product_info_0_avalon_slave_0_chipselect                     (mm_interconnect_0_product_info_0_avalon_slave_0_chipselect), //                                                       .chipselect
		.smc_0_mm_bridge_0_s0_address                                 (mm_interconnect_0_smc_0_mm_bridge_0_s0_address),             //                                   smc_0_mm_bridge_0_s0.address
		.smc_0_mm_bridge_0_s0_write                                   (mm_interconnect_0_smc_0_mm_bridge_0_s0_write),               //                                                       .write
		.smc_0_mm_bridge_0_s0_read                                    (mm_interconnect_0_smc_0_mm_bridge_0_s0_read),                //                                                       .read
		.smc_0_mm_bridge_0_s0_readdata                                (mm_interconnect_0_smc_0_mm_bridge_0_s0_readdata),            //                                                       .readdata
		.smc_0_mm_bridge_0_s0_writedata                               (mm_interconnect_0_smc_0_mm_bridge_0_s0_writedata),           //                                                       .writedata
		.smc_0_mm_bridge_0_s0_burstcount                              (mm_interconnect_0_smc_0_mm_bridge_0_s0_burstcount),          //                                                       .burstcount
		.smc_0_mm_bridge_0_s0_byteenable                              (mm_interconnect_0_smc_0_mm_bridge_0_s0_byteenable),          //                                                       .byteenable
		.smc_0_mm_bridge_0_s0_readdatavalid                           (mm_interconnect_0_smc_0_mm_bridge_0_s0_readdatavalid),       //                                                       .readdatavalid
		.smc_0_mm_bridge_0_s0_waitrequest                             (mm_interconnect_0_smc_0_mm_bridge_0_s0_waitrequest),         //                                                       .waitrequest
		.smc_0_mm_bridge_0_s0_debugaccess                             (mm_interconnect_0_smc_0_mm_bridge_0_s0_debugaccess)          //                                                       .debugaccess
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_50_reset_n),              // reset_in0.reset
		.clk            (clk_50_clk),                     //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

endmodule
