	component q_sys_hmc is
		port (
			clk_50_clk                                        : in    std_logic                     := 'X';             -- clk
			fpga_memory_mem_a                                 : out   std_logic_vector(13 downto 0);                    -- mem_a
			fpga_memory_mem_ba                                : out   std_logic_vector(2 downto 0);                     -- mem_ba
			fpga_memory_mem_ck                                : out   std_logic_vector(0 downto 0);                     -- mem_ck
			fpga_memory_mem_ck_n                              : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			fpga_memory_mem_cke                               : out   std_logic_vector(0 downto 0);                     -- mem_cke
			fpga_memory_mem_cs_n                              : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			fpga_memory_mem_dm                                : out   std_logic_vector(4 downto 0);                     -- mem_dm
			fpga_memory_mem_ras_n                             : out   std_logic_vector(0 downto 0);                     -- mem_ras_n
			fpga_memory_mem_cas_n                             : out   std_logic_vector(0 downto 0);                     -- mem_cas_n
			fpga_memory_mem_we_n                              : out   std_logic_vector(0 downto 0);                     -- mem_we_n
			fpga_memory_mem_reset_n                           : out   std_logic;                                        -- mem_reset_n
			fpga_memory_mem_dq                                : inout std_logic_vector(39 downto 0) := (others => 'X'); -- mem_dq
			fpga_memory_mem_dqs                               : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs
			fpga_memory_mem_dqs_n                             : inout std_logic_vector(4 downto 0)  := (others => 'X'); -- mem_dqs_n
			fpga_memory_mem_odt                               : out   std_logic_vector(0 downto 0);                     -- mem_odt
			fpga_memory_oct_rzqin                             : in    std_logic                     := 'X';             -- rzqin
			fpga_sdram_oct_sharing_seriesterminationcontrol   : out   std_logic_vector(15 downto 0);                    -- seriesterminationcontrol
			fpga_sdram_oct_sharing_parallelterminationcontrol : out   std_logic_vector(15 downto 0);                    -- parallelterminationcontrol
			master_driver_msgdma_0_conduit_end_error_mon      : out   std_logic;                                        -- error_mon
			master_driver_msgdma_0_conduit_end_status_mon     : out   std_logic;                                        -- status_mon
			mm_bridge_0_s0_waitrequest                        : out   std_logic;                                        -- waitrequest
			mm_bridge_0_s0_readdata                           : out   std_logic_vector(31 downto 0);                    -- readdata
			mm_bridge_0_s0_readdatavalid                      : out   std_logic;                                        -- readdatavalid
			mm_bridge_0_s0_burstcount                         : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- burstcount
			mm_bridge_0_s0_writedata                          : in    std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			mm_bridge_0_s0_address                            : in    std_logic_vector(21 downto 0) := (others => 'X'); -- address
			mm_bridge_0_s0_write                              : in    std_logic                     := 'X';             -- write
			mm_bridge_0_s0_read                               : in    std_logic                     := 'X';             -- read
			mm_bridge_0_s0_byteenable                         : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- byteenable
			mm_bridge_0_s0_debugaccess                        : in    std_logic                     := 'X';             -- debugaccess
			msgdma_0_status_mon_out_cal_fail_mon              : out   std_logic;                                        -- cal_fail_mon
			msgdma_0_status_mon_out_cal_success_mon           : out   std_logic;                                        -- cal_success_mon
			msgdma_0_status_mon_out_init_done_mon             : out   std_logic;                                        -- init_done_mon
			refclk_clk                                        : in    std_logic                     := 'X';             -- clk
			reset_reset_n                                     : in    std_logic                     := 'X';             -- reset_n
			reset_50_reset_n                                  : in    std_logic                     := 'X';             -- reset_n
			tg_reset_n                                        : in    std_logic                     := 'X'              -- reset_n
		);
	end component q_sys_hmc;

	u0 : component q_sys_hmc
		port map (
			clk_50_clk                                        => CONNECTED_TO_clk_50_clk,                                        --                             clk_50.clk
			fpga_memory_mem_a                                 => CONNECTED_TO_fpga_memory_mem_a,                                 --                        fpga_memory.mem_a
			fpga_memory_mem_ba                                => CONNECTED_TO_fpga_memory_mem_ba,                                --                                   .mem_ba
			fpga_memory_mem_ck                                => CONNECTED_TO_fpga_memory_mem_ck,                                --                                   .mem_ck
			fpga_memory_mem_ck_n                              => CONNECTED_TO_fpga_memory_mem_ck_n,                              --                                   .mem_ck_n
			fpga_memory_mem_cke                               => CONNECTED_TO_fpga_memory_mem_cke,                               --                                   .mem_cke
			fpga_memory_mem_cs_n                              => CONNECTED_TO_fpga_memory_mem_cs_n,                              --                                   .mem_cs_n
			fpga_memory_mem_dm                                => CONNECTED_TO_fpga_memory_mem_dm,                                --                                   .mem_dm
			fpga_memory_mem_ras_n                             => CONNECTED_TO_fpga_memory_mem_ras_n,                             --                                   .mem_ras_n
			fpga_memory_mem_cas_n                             => CONNECTED_TO_fpga_memory_mem_cas_n,                             --                                   .mem_cas_n
			fpga_memory_mem_we_n                              => CONNECTED_TO_fpga_memory_mem_we_n,                              --                                   .mem_we_n
			fpga_memory_mem_reset_n                           => CONNECTED_TO_fpga_memory_mem_reset_n,                           --                                   .mem_reset_n
			fpga_memory_mem_dq                                => CONNECTED_TO_fpga_memory_mem_dq,                                --                                   .mem_dq
			fpga_memory_mem_dqs                               => CONNECTED_TO_fpga_memory_mem_dqs,                               --                                   .mem_dqs
			fpga_memory_mem_dqs_n                             => CONNECTED_TO_fpga_memory_mem_dqs_n,                             --                                   .mem_dqs_n
			fpga_memory_mem_odt                               => CONNECTED_TO_fpga_memory_mem_odt,                               --                                   .mem_odt
			fpga_memory_oct_rzqin                             => CONNECTED_TO_fpga_memory_oct_rzqin,                             --                    fpga_memory_oct.rzqin
			fpga_sdram_oct_sharing_seriesterminationcontrol   => CONNECTED_TO_fpga_sdram_oct_sharing_seriesterminationcontrol,   --             fpga_sdram_oct_sharing.seriesterminationcontrol
			fpga_sdram_oct_sharing_parallelterminationcontrol => CONNECTED_TO_fpga_sdram_oct_sharing_parallelterminationcontrol, --                                   .parallelterminationcontrol
			master_driver_msgdma_0_conduit_end_error_mon      => CONNECTED_TO_master_driver_msgdma_0_conduit_end_error_mon,      -- master_driver_msgdma_0_conduit_end.error_mon
			master_driver_msgdma_0_conduit_end_status_mon     => CONNECTED_TO_master_driver_msgdma_0_conduit_end_status_mon,     --                                   .status_mon
			mm_bridge_0_s0_waitrequest                        => CONNECTED_TO_mm_bridge_0_s0_waitrequest,                        --                     mm_bridge_0_s0.waitrequest
			mm_bridge_0_s0_readdata                           => CONNECTED_TO_mm_bridge_0_s0_readdata,                           --                                   .readdata
			mm_bridge_0_s0_readdatavalid                      => CONNECTED_TO_mm_bridge_0_s0_readdatavalid,                      --                                   .readdatavalid
			mm_bridge_0_s0_burstcount                         => CONNECTED_TO_mm_bridge_0_s0_burstcount,                         --                                   .burstcount
			mm_bridge_0_s0_writedata                          => CONNECTED_TO_mm_bridge_0_s0_writedata,                          --                                   .writedata
			mm_bridge_0_s0_address                            => CONNECTED_TO_mm_bridge_0_s0_address,                            --                                   .address
			mm_bridge_0_s0_write                              => CONNECTED_TO_mm_bridge_0_s0_write,                              --                                   .write
			mm_bridge_0_s0_read                               => CONNECTED_TO_mm_bridge_0_s0_read,                               --                                   .read
			mm_bridge_0_s0_byteenable                         => CONNECTED_TO_mm_bridge_0_s0_byteenable,                         --                                   .byteenable
			mm_bridge_0_s0_debugaccess                        => CONNECTED_TO_mm_bridge_0_s0_debugaccess,                        --                                   .debugaccess
			msgdma_0_status_mon_out_cal_fail_mon              => CONNECTED_TO_msgdma_0_status_mon_out_cal_fail_mon,              --            msgdma_0_status_mon_out.cal_fail_mon
			msgdma_0_status_mon_out_cal_success_mon           => CONNECTED_TO_msgdma_0_status_mon_out_cal_success_mon,           --                                   .cal_success_mon
			msgdma_0_status_mon_out_init_done_mon             => CONNECTED_TO_msgdma_0_status_mon_out_init_done_mon,             --                                   .init_done_mon
			refclk_clk                                        => CONNECTED_TO_refclk_clk,                                        --                             refclk.clk
			reset_reset_n                                     => CONNECTED_TO_reset_reset_n,                                     --                              reset.reset_n
			reset_50_reset_n                                  => CONNECTED_TO_reset_50_reset_n,                                  --                           reset_50.reset_n
			tg_reset_n                                        => CONNECTED_TO_tg_reset_n                                         --                                 tg.reset_n
		);

