	component q_sys_smc is
		port (
			clk_100_clk                                               : in    std_logic                     := 'X';             -- clk
			clk_50_clk                                                : in    std_logic                     := 'X';             -- clk
			master_driver_msgdma_0_conduit_end_error_mon              : out   std_logic;                                        -- error_mon
			master_driver_msgdma_0_conduit_end_status_mon             : out   std_logic;                                        -- status_mon
			mem_if_ddr3_emif_0_oct_sharing_seriesterminationcontrol   : in    std_logic_vector(15 downto 0) := (others => 'X'); -- seriesterminationcontrol
			mem_if_ddr3_emif_0_oct_sharing_parallelterminationcontrol : in    std_logic_vector(15 downto 0) := (others => 'X'); -- parallelterminationcontrol
			memory_mem_a                                              : out   std_logic_vector(13 downto 0);                    -- mem_a
			memory_mem_ba                                             : out   std_logic_vector(2 downto 0);                     -- mem_ba
			memory_mem_ck                                             : out   std_logic_vector(0 downto 0);                     -- mem_ck
			memory_mem_ck_n                                           : out   std_logic_vector(0 downto 0);                     -- mem_ck_n
			memory_mem_cke                                            : out   std_logic_vector(0 downto 0);                     -- mem_cke
			memory_mem_cs_n                                           : out   std_logic_vector(0 downto 0);                     -- mem_cs_n
			memory_mem_dm                                             : out   std_logic_vector(7 downto 0);                     -- mem_dm
			memory_mem_ras_n                                          : out   std_logic_vector(0 downto 0);                     -- mem_ras_n
			memory_mem_cas_n                                          : out   std_logic_vector(0 downto 0);                     -- mem_cas_n
			memory_mem_we_n                                           : out   std_logic_vector(0 downto 0);                     -- mem_we_n
			memory_mem_reset_n                                        : out   std_logic;                                        -- mem_reset_n
			memory_mem_dq                                             : inout std_logic_vector(63 downto 0) := (others => 'X'); -- mem_dq
			memory_mem_dqs                                            : inout std_logic_vector(7 downto 0)  := (others => 'X'); -- mem_dqs
			memory_mem_dqs_n                                          : inout std_logic_vector(7 downto 0)  := (others => 'X'); -- mem_dqs_n
			memory_mem_odt                                            : out   std_logic_vector(0 downto 0);                     -- mem_odt
			mm_bridge_0_s0_waitrequest                                : out   std_logic;                                        -- waitrequest
			mm_bridge_0_s0_readdata                                   : out   std_logic_vector(31 downto 0);                    -- readdata
			mm_bridge_0_s0_readdatavalid                              : out   std_logic;                                        -- readdatavalid
			mm_bridge_0_s0_burstcount                                 : in    std_logic_vector(0 downto 0)  := (others => 'X'); -- burstcount
			mm_bridge_0_s0_writedata                                  : in    std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			mm_bridge_0_s0_address                                    : in    std_logic_vector(21 downto 0) := (others => 'X'); -- address
			mm_bridge_0_s0_write                                      : in    std_logic                     := 'X';             -- write
			mm_bridge_0_s0_read                                       : in    std_logic                     := 'X';             -- read
			mm_bridge_0_s0_byteenable                                 : in    std_logic_vector(3 downto 0)  := (others => 'X'); -- byteenable
			mm_bridge_0_s0_debugaccess                                : in    std_logic                     := 'X';             -- debugaccess
			msgdma_0_status_mon_out_cal_fail_mon                      : out   std_logic;                                        -- cal_fail_mon
			msgdma_0_status_mon_out_cal_success_mon                   : out   std_logic;                                        -- cal_success_mon
			msgdma_0_status_mon_out_init_done_mon                     : out   std_logic;                                        -- init_done_mon
			reset_reset_n                                             : in    std_logic                     := 'X';             -- reset_n
			reset_50_reset_n                                          : in    std_logic                     := 'X';             -- reset_n
			tg_reset_n                                                : in    std_logic                     := 'X'              -- reset_n
		);
	end component q_sys_smc;

	u0 : component q_sys_smc
		port map (
			clk_100_clk                                               => CONNECTED_TO_clk_100_clk,                                               --                            clk_100.clk
			clk_50_clk                                                => CONNECTED_TO_clk_50_clk,                                                --                             clk_50.clk
			master_driver_msgdma_0_conduit_end_error_mon              => CONNECTED_TO_master_driver_msgdma_0_conduit_end_error_mon,              -- master_driver_msgdma_0_conduit_end.error_mon
			master_driver_msgdma_0_conduit_end_status_mon             => CONNECTED_TO_master_driver_msgdma_0_conduit_end_status_mon,             --                                   .status_mon
			mem_if_ddr3_emif_0_oct_sharing_seriesterminationcontrol   => CONNECTED_TO_mem_if_ddr3_emif_0_oct_sharing_seriesterminationcontrol,   --     mem_if_ddr3_emif_0_oct_sharing.seriesterminationcontrol
			mem_if_ddr3_emif_0_oct_sharing_parallelterminationcontrol => CONNECTED_TO_mem_if_ddr3_emif_0_oct_sharing_parallelterminationcontrol, --                                   .parallelterminationcontrol
			memory_mem_a                                              => CONNECTED_TO_memory_mem_a,                                              --                             memory.mem_a
			memory_mem_ba                                             => CONNECTED_TO_memory_mem_ba,                                             --                                   .mem_ba
			memory_mem_ck                                             => CONNECTED_TO_memory_mem_ck,                                             --                                   .mem_ck
			memory_mem_ck_n                                           => CONNECTED_TO_memory_mem_ck_n,                                           --                                   .mem_ck_n
			memory_mem_cke                                            => CONNECTED_TO_memory_mem_cke,                                            --                                   .mem_cke
			memory_mem_cs_n                                           => CONNECTED_TO_memory_mem_cs_n,                                           --                                   .mem_cs_n
			memory_mem_dm                                             => CONNECTED_TO_memory_mem_dm,                                             --                                   .mem_dm
			memory_mem_ras_n                                          => CONNECTED_TO_memory_mem_ras_n,                                          --                                   .mem_ras_n
			memory_mem_cas_n                                          => CONNECTED_TO_memory_mem_cas_n,                                          --                                   .mem_cas_n
			memory_mem_we_n                                           => CONNECTED_TO_memory_mem_we_n,                                           --                                   .mem_we_n
			memory_mem_reset_n                                        => CONNECTED_TO_memory_mem_reset_n,                                        --                                   .mem_reset_n
			memory_mem_dq                                             => CONNECTED_TO_memory_mem_dq,                                             --                                   .mem_dq
			memory_mem_dqs                                            => CONNECTED_TO_memory_mem_dqs,                                            --                                   .mem_dqs
			memory_mem_dqs_n                                          => CONNECTED_TO_memory_mem_dqs_n,                                          --                                   .mem_dqs_n
			memory_mem_odt                                            => CONNECTED_TO_memory_mem_odt,                                            --                                   .mem_odt
			mm_bridge_0_s0_waitrequest                                => CONNECTED_TO_mm_bridge_0_s0_waitrequest,                                --                     mm_bridge_0_s0.waitrequest
			mm_bridge_0_s0_readdata                                   => CONNECTED_TO_mm_bridge_0_s0_readdata,                                   --                                   .readdata
			mm_bridge_0_s0_readdatavalid                              => CONNECTED_TO_mm_bridge_0_s0_readdatavalid,                              --                                   .readdatavalid
			mm_bridge_0_s0_burstcount                                 => CONNECTED_TO_mm_bridge_0_s0_burstcount,                                 --                                   .burstcount
			mm_bridge_0_s0_writedata                                  => CONNECTED_TO_mm_bridge_0_s0_writedata,                                  --                                   .writedata
			mm_bridge_0_s0_address                                    => CONNECTED_TO_mm_bridge_0_s0_address,                                    --                                   .address
			mm_bridge_0_s0_write                                      => CONNECTED_TO_mm_bridge_0_s0_write,                                      --                                   .write
			mm_bridge_0_s0_read                                       => CONNECTED_TO_mm_bridge_0_s0_read,                                       --                                   .read
			mm_bridge_0_s0_byteenable                                 => CONNECTED_TO_mm_bridge_0_s0_byteenable,                                 --                                   .byteenable
			mm_bridge_0_s0_debugaccess                                => CONNECTED_TO_mm_bridge_0_s0_debugaccess,                                --                                   .debugaccess
			msgdma_0_status_mon_out_cal_fail_mon                      => CONNECTED_TO_msgdma_0_status_mon_out_cal_fail_mon,                      --            msgdma_0_status_mon_out.cal_fail_mon
			msgdma_0_status_mon_out_cal_success_mon                   => CONNECTED_TO_msgdma_0_status_mon_out_cal_success_mon,                   --                                   .cal_success_mon
			msgdma_0_status_mon_out_init_done_mon                     => CONNECTED_TO_msgdma_0_status_mon_out_init_done_mon,                     --                                   .init_done_mon
			reset_reset_n                                             => CONNECTED_TO_reset_reset_n,                                             --                              reset.reset_n
			reset_50_reset_n                                          => CONNECTED_TO_reset_50_reset_n,                                          --                           reset_50.reset_n
			tg_reset_n                                                => CONNECTED_TO_tg_reset_n                                                 --                                 tg.reset_n
		);

