derive_pll_clocks
derive_clock_uncertainty



# 50MHz board input clock
create_clock -period 20 [get_ports clk_50m_fpga]


# to make the design robost, setting frequency higher thatn what actually in use.
# the actual input frequency is 100Mhz/10ns
create_clock -period 9.5 [get_ports CLKINBOT_P]
create_clock -period 9.5 [get_ports clkin_r_p]

set sys_clock_hmc {u0|hmc_0|pll_0|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}
set sys_clock_smc {u0|smc_0|mem_if_ddr3_emif_0|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}


# JTAG Signal Constraints constrain the TCK port, assuming a 10MHz JTAG clock and 3ns delays
create_clock -name {altera_reserved_tck} -period 41.667 [get_ports { altera_reserved_tck }]
set_input_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tdi]
set_input_delay -clock altera_reserved_tck -clock_fall -max 5 [get_ports altera_reserved_tms]
set_output_delay -clock altera_reserved_tck 5 [get_ports altera_reserved_tdo]


# Qsys will synchronize the reset input
set_false_path -from [get_ports cpu_resetn] -to *

set_max_delay -to q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_fpga_sdram:fpga_sdram|q_sys_hmc_0_fpga_sdram_s0:s0|sequencer_scc_mgr:sequencer_scc_mgr_inst|avl_cal_req_r 2.77ns


# LED switching will be slow
set_false_path -from * -to [get_ports user_led[*]]


set_false_path -from * -to {sld_signaltap:auto_signaltap_0*}

# data[38] will be created by the system clk
create_generated_clock -name unused_a_38 -source $sys_clock_hmc -divide_by 1 {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|q_sys_hmc_0_mSGDMA_0_mm_interconnect_0:mm_interconnect_0|altera_avalon_st_pipeline_stage:agent_pipeline_010|altera_avalon_st_pipeline_base:core|data1[38]}
create_generated_clock -name unused_b_38 -source $sys_clock_smc -divide_by 1 {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|q_sys_smc_0_mSGDMA_0_mm_interconnect_0:mm_interconnect_0|altera_avalon_st_pipeline_stage:agent_pipeline_010|altera_avalon_st_pipeline_base:core|data1[38]}
#create_clock -name unused_a_38 -period 10.0 -waveform {0 5.0}  q_sys:u0|q_sys_mSGDMA_0:msgdma_0|altera_avalon_st_pipeline_stage:agent_pipeline_006|altera_avalon_st_pipeline_base:core|data1[38]

set_clock_groups -exclusive -group { unused_a_38 } -group {u0|hmc_0|pll_0|altera_pll_i|general[0].gpll~PLL_OUTPUT_COUNTER|divclk}
set_clock_groups -exclusive -group { unused_b_38 } -group {u0|smc_0|mem_if_ddr3_emif_0|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}

set_false_path -from [get_clocks {unused_a_38}] -to  *
set_false_path -from * -to  [get_clocks {unused_a_38}]
set_false_path -from [get_clocks {unused_b_38}] -to  *
set_false_path -from * -to  [get_clocks {unused_b_38}]

#set_false_path -from {unused_a_38} -to {clk_50m_fpga}
#set_false_path -from {clk_50m_fpga} -to {unused_a_38}
#set_false_path -from $sys_clock  -to [get_clocks {unused_a_38}]
#set_false_path -from [get_clocks {unused_a_38}] -to $sys_clock 
#set_multicycle_path -from $sys_clock -to [get_clocks {unused_a_38}] -setup -end 2
#set_multicycle_path -from $sys_clock -to [get_clocks {unused_a_38}] -hold -end 1
#set_multicycle_path -from [get_clocks {unused_a_38}] -to $sys_clock-setup -end 2
#set_multicycle_path -from [get_clocks {unused_a_38}] -to $sys_clock -hold -end 2



#set pll_afi_clock $pins(pll_afi_clock)
create_generated_clock -name slow_clk_a -source $sys_clock_hmc  -divide_by 32 {q_sys:u0|q_sys_hmc_0:hmc_0|master_driver_msgdma:master_driver_msgdma_0|slow_clk_int[4]}
set_false_path -from * -to [get_clocks {slow_clk_a}]
set_false_path -from [get_clocks {slow_clk_a}] -to  *

create_generated_clock -name slow_clk_b -source $sys_clock_smc  -divide_by 32 {q_sys:u0|q_sys_smc_0:smc_0|master_driver_msgdma:master_driver_msgdma_0|slow_clk_int[4]}
set_false_path -from * -to [get_clocks {slow_clk_b}]
set_false_path -from [get_clocks {slow_clk_b}] -to  *


create_generated_clock -name slow_clk_freq -source [get_ports clk_50m_fpga] -divide_by 2 {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|slow_clk}
set_false_path -from * -to [get_clocks {slow_clk_freq}]
set_false_path -from [get_clocks {slow_clk_freq}] -to  *



set_false_path -to {*|frequency_counter*|pls_1sec_int1}
set_false_path -to {*|frequency_counter*|csr_readdata*}

#set_false_path -from [get_clocks {u0|fpga_sdram|pll0|pll_write_clk}] -to [get_clocks {fpga_clk_50}]
#set_false_path -from [get_clocks {u0|fpga_sdram|pll0|pll_write_clk}] -to $sys_clock

#set_false_path -from [get_clocks {clk_50m_fpga}] -to $sys_clock
#set_false_path -from $sys_clock -to [get_clocks {clk_50m_fpga}]


#set_false_path -from {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|count_1ms[*]} -to {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|pls_1sec_int1}
#set_false_path -from {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|altera_reset_controller:rst_controller_002|altera_reset_synchronizer:alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out} -to {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|freq*}
#set_false_path -from {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|altera_reset_controller:rst_controller_002|altera_reset_synchronizer:alt_rst_sync_uq1|altera_reset_synchronizer_int_chain_out} -to {q_sys:u0|q_sys_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|pls_1sec*}

set_false_path -from {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_fpga_sdram:fpga_sdram|q_sys_hmc_0_fpga_sdram_p0:p0|q_sys_hmc_0_fpga_sdram_p0_acv_hard_memphy:umemphy|hphy_inst*} -to {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|status_mon:status_mon_0|slv_data_read[*]}
set_false_path -from {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|altera_avalon_st_pipeline_stage:agent_pipeline_006|altera_avalon_st_pipeline_base:core|data1[38]} -to {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|mtm_prbs_pattern_checker:prbs_pattern_checker|readback_mux[*]}
set_false_path -from {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|altera_avalon_st_pipeline_stage:agent_pipeline_006|altera_avalon_st_pipeline_base:core|data1[38]} -to {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|mtm_prbs_pattern_checker:prbs_pattern_checker|readback_mux[*]}
set_false_path -from {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|altera_avalon_st_pipeline_stage:agent_pipeline_006|altera_avalon_st_pipeline_base:core|data1[38]} -to {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|mtm_prbs_pattern_checker:prbs_pattern_checker|error_counter[*]}
set_false_path -from * -to {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|*}
set_false_path -from * -to {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|*}

set_false_path -from {q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|*} -to *
set_false_path -from {q_sys:u0|q_sys_smc_0:smc_0|q_sys_smc_0_mSGDMA_0:msgdma_0|freq_counter:freq_counter_0|*} -to *

set_max_delay -from q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_fpga_sdram:fpga_sdram|altera_mem_if_hard_memory_controller_top_cyclonev:c0|hmc_inst~FF_441 -to q_sys:u0|q_sys_hmc_0:hmc_0|q_sys_hmc_0_fpga_sdram:fpga_sdram|q_sys_hmc_0_fpga_sdram_s0:s0|sequencer_scc_mgr:sequencer_scc_mgr_inst|avl_cal_req_r 2.2
