	component q_sys_lvds is
		port (
			clk50_clk                                  : in  std_logic                     := 'X';             -- clk
			reset_reset_n                              : in  std_logic                     := 'X';             -- reset_n
			tx_clk                                     : in  std_logic                     := 'X';             -- clk
			rx_clk                                     : in  std_logic                     := 'X';             -- clk
			data_pattern_generator_0_pattern_out_valid : out std_logic;                                        -- valid
			data_pattern_generator_0_pattern_out_ready : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_0_pattern_out_data  : out std_logic_vector(31 downto 0);                    -- data
			data_pattern_generator_1_pattern_out_valid : out std_logic;                                        -- valid
			data_pattern_generator_1_pattern_out_ready : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_1_pattern_out_data  : out std_logic_vector(39 downto 0);                    -- data
			data_pattern_generator_2_pattern_out_valid : out std_logic;                                        -- valid
			data_pattern_generator_2_pattern_out_ready : in  std_logic                     := 'X';             -- ready
			data_pattern_generator_2_pattern_out_data  : out std_logic_vector(63 downto 0);                    -- data
			data_pattern_checker_0_pattern_in_valid    : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_0_pattern_in_ready    : out std_logic;                                        -- ready
			data_pattern_checker_0_pattern_in_data     : in  std_logic_vector(31 downto 0) := (others => 'X'); -- data
			data_pattern_checker_1_pattern_in_valid    : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_1_pattern_in_ready    : out std_logic;                                        -- ready
			data_pattern_checker_1_pattern_in_data     : in  std_logic_vector(39 downto 0) := (others => 'X'); -- data
			data_pattern_checker_2_pattern_in_valid    : in  std_logic                     := 'X';             -- valid
			data_pattern_checker_2_pattern_in_ready    : out std_logic;                                        -- ready
			data_pattern_checker_2_pattern_in_data     : in  std_logic_vector(63 downto 0) := (others => 'X'); -- data
			mm_bridge_0_s0_waitrequest                 : out std_logic;                                        -- waitrequest
			mm_bridge_0_s0_readdata                    : out std_logic_vector(31 downto 0);                    -- readdata
			mm_bridge_0_s0_readdatavalid               : out std_logic;                                        -- readdatavalid
			mm_bridge_0_s0_burstcount                  : in  std_logic_vector(0 downto 0)  := (others => 'X'); -- burstcount
			mm_bridge_0_s0_writedata                   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- writedata
			mm_bridge_0_s0_address                     : in  std_logic_vector(13 downto 0) := (others => 'X'); -- address
			mm_bridge_0_s0_write                       : in  std_logic                     := 'X';             -- write
			mm_bridge_0_s0_read                        : in  std_logic                     := 'X';             -- read
			mm_bridge_0_s0_byteenable                  : in  std_logic_vector(3 downto 0)  := (others => 'X'); -- byteenable
			mm_bridge_0_s0_debugaccess                 : in  std_logic                     := 'X';             -- debugaccess
			master_driver_com_0_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			master_driver_com_0_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			master_driver_com_0_conduit_end_status_mon : out std_logic;                                        -- status_mon
			master_driver_com_1_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			master_driver_com_1_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			master_driver_com_1_conduit_end_status_mon : out std_logic;                                        -- status_mon
			master_driver_com_2_conduit_end_lock       : in  std_logic                     := 'X';             -- lock
			master_driver_com_2_conduit_end_error_mon  : out std_logic;                                        -- error_mon
			master_driver_com_2_conduit_end_status_mon : out std_logic                                         -- status_mon
		);
	end component q_sys_lvds;

	u0 : component q_sys_lvds
		port map (
			clk50_clk                                  => CONNECTED_TO_clk50_clk,                                  --                                clk50.clk
			reset_reset_n                              => CONNECTED_TO_reset_reset_n,                              --                                reset.reset_n
			tx_clk                                     => CONNECTED_TO_tx_clk,                                     --                                   tx.clk
			rx_clk                                     => CONNECTED_TO_rx_clk,                                     --                                   rx.clk
			data_pattern_generator_0_pattern_out_valid => CONNECTED_TO_data_pattern_generator_0_pattern_out_valid, -- data_pattern_generator_0_pattern_out.valid
			data_pattern_generator_0_pattern_out_ready => CONNECTED_TO_data_pattern_generator_0_pattern_out_ready, --                                     .ready
			data_pattern_generator_0_pattern_out_data  => CONNECTED_TO_data_pattern_generator_0_pattern_out_data,  --                                     .data
			data_pattern_generator_1_pattern_out_valid => CONNECTED_TO_data_pattern_generator_1_pattern_out_valid, -- data_pattern_generator_1_pattern_out.valid
			data_pattern_generator_1_pattern_out_ready => CONNECTED_TO_data_pattern_generator_1_pattern_out_ready, --                                     .ready
			data_pattern_generator_1_pattern_out_data  => CONNECTED_TO_data_pattern_generator_1_pattern_out_data,  --                                     .data
			data_pattern_generator_2_pattern_out_valid => CONNECTED_TO_data_pattern_generator_2_pattern_out_valid, -- data_pattern_generator_2_pattern_out.valid
			data_pattern_generator_2_pattern_out_ready => CONNECTED_TO_data_pattern_generator_2_pattern_out_ready, --                                     .ready
			data_pattern_generator_2_pattern_out_data  => CONNECTED_TO_data_pattern_generator_2_pattern_out_data,  --                                     .data
			data_pattern_checker_0_pattern_in_valid    => CONNECTED_TO_data_pattern_checker_0_pattern_in_valid,    --    data_pattern_checker_0_pattern_in.valid
			data_pattern_checker_0_pattern_in_ready    => CONNECTED_TO_data_pattern_checker_0_pattern_in_ready,    --                                     .ready
			data_pattern_checker_0_pattern_in_data     => CONNECTED_TO_data_pattern_checker_0_pattern_in_data,     --                                     .data
			data_pattern_checker_1_pattern_in_valid    => CONNECTED_TO_data_pattern_checker_1_pattern_in_valid,    --    data_pattern_checker_1_pattern_in.valid
			data_pattern_checker_1_pattern_in_ready    => CONNECTED_TO_data_pattern_checker_1_pattern_in_ready,    --                                     .ready
			data_pattern_checker_1_pattern_in_data     => CONNECTED_TO_data_pattern_checker_1_pattern_in_data,     --                                     .data
			data_pattern_checker_2_pattern_in_valid    => CONNECTED_TO_data_pattern_checker_2_pattern_in_valid,    --    data_pattern_checker_2_pattern_in.valid
			data_pattern_checker_2_pattern_in_ready    => CONNECTED_TO_data_pattern_checker_2_pattern_in_ready,    --                                     .ready
			data_pattern_checker_2_pattern_in_data     => CONNECTED_TO_data_pattern_checker_2_pattern_in_data,     --                                     .data
			mm_bridge_0_s0_waitrequest                 => CONNECTED_TO_mm_bridge_0_s0_waitrequest,                 --                       mm_bridge_0_s0.waitrequest
			mm_bridge_0_s0_readdata                    => CONNECTED_TO_mm_bridge_0_s0_readdata,                    --                                     .readdata
			mm_bridge_0_s0_readdatavalid               => CONNECTED_TO_mm_bridge_0_s0_readdatavalid,               --                                     .readdatavalid
			mm_bridge_0_s0_burstcount                  => CONNECTED_TO_mm_bridge_0_s0_burstcount,                  --                                     .burstcount
			mm_bridge_0_s0_writedata                   => CONNECTED_TO_mm_bridge_0_s0_writedata,                   --                                     .writedata
			mm_bridge_0_s0_address                     => CONNECTED_TO_mm_bridge_0_s0_address,                     --                                     .address
			mm_bridge_0_s0_write                       => CONNECTED_TO_mm_bridge_0_s0_write,                       --                                     .write
			mm_bridge_0_s0_read                        => CONNECTED_TO_mm_bridge_0_s0_read,                        --                                     .read
			mm_bridge_0_s0_byteenable                  => CONNECTED_TO_mm_bridge_0_s0_byteenable,                  --                                     .byteenable
			mm_bridge_0_s0_debugaccess                 => CONNECTED_TO_mm_bridge_0_s0_debugaccess,                 --                                     .debugaccess
			master_driver_com_0_conduit_end_lock       => CONNECTED_TO_master_driver_com_0_conduit_end_lock,       --      master_driver_com_0_conduit_end.lock
			master_driver_com_0_conduit_end_error_mon  => CONNECTED_TO_master_driver_com_0_conduit_end_error_mon,  --                                     .error_mon
			master_driver_com_0_conduit_end_status_mon => CONNECTED_TO_master_driver_com_0_conduit_end_status_mon, --                                     .status_mon
			master_driver_com_1_conduit_end_lock       => CONNECTED_TO_master_driver_com_1_conduit_end_lock,       --      master_driver_com_1_conduit_end.lock
			master_driver_com_1_conduit_end_error_mon  => CONNECTED_TO_master_driver_com_1_conduit_end_error_mon,  --                                     .error_mon
			master_driver_com_1_conduit_end_status_mon => CONNECTED_TO_master_driver_com_1_conduit_end_status_mon, --                                     .status_mon
			master_driver_com_2_conduit_end_lock       => CONNECTED_TO_master_driver_com_2_conduit_end_lock,       --      master_driver_com_2_conduit_end.lock
			master_driver_com_2_conduit_end_error_mon  => CONNECTED_TO_master_driver_com_2_conduit_end_error_mon,  --                                     .error_mon
			master_driver_com_2_conduit_end_status_mon => CONNECTED_TO_master_driver_com_2_conduit_end_status_mon  --                                     .status_mon
		);

