library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_UNSIGNED.all;

						
entity product_info is
--	generic(
--	sof : std_logic_vector(31 downto 0):=x"00000000";
--	sof : std_logic_vector(31 downto 0):=x"4750494F"; -- GPIO project
--	sof : std_logic_vector(31 downto 0):=x"56494445"; -- VIDE project
--	sof : std_logic_vector(31 downto 0):=x"48534D43"; -- HSMC project
--	sof : std_logic_vector(31 downto 0):=x"51445232"; -- QDR2 project
--	sof : std_logic_vector(31 downto 0):=x"44445233"; -- DDR3 project
--	sof : std_logic_vector(31 downto 0):=x"524C4452"; -- RLDR project

--	board : std_logic_vector(31 downto 0):=x"53344754"; -- S4GT
--	board : std_logic_vector(31 downto 0):=x"00000000";
--	product : std_logic_vector(31 downto 0):=x"0000A862"; -- 43106 S4GT100G host kit
--	product : std_logic_vector(31 downto 0):=x"00000000";
--	version : std_logic_vector(31 downto 0):=x"00000001"; -- version
--	version : std_logic_vector(31 downto 0):=x"00000001"
--	);
	port (
		clk: in std_logic;
		reset_n : in std_logic;
		
		chipselect_n : in std_logic; -- chip select signal
		read_n : in std_logic; -- output enable
		av_address : in std_logic_vector(1 downto 0);
		av_data_read : out std_logic_vector(31 downto 0)
		
	);
end product_info;

architecture rtl of product_info is
--      project name with 4 chars in hex use upper case if possible
--	constant sof : std_logic_vector(31 downto 0):=x"4750494F"; -- GPIO project
--	constant sof : std_logic_vector(31 downto 0):=x"56494445"; -- VIDE project
--	constant sof : std_logic_vector(31 downto 0):=x"48534D43"; -- HSMC project
        constant sof : std_logic_vector(31 downto 0):=x"58435632"; -- XCV2 project 
--	constant sof : std_logic_vector(31 downto 0):=x"51445232"; -- QDR2 project
--	constant sof : std_logic_vector(31 downto 0):=x"44445233"; -- DDR3 project
--	constant sof : std_logic_vector(31 downto 0):=x"524C4452"; -- RLDR project

--	constant board : std_logic_vector(31 downto 0):=x"53344754"; -- S4GT
--	constant product : std_logic_vector(31 downto 0):=x"0000A862"; -- 43106 S4GT100G host kit
--	constant version : std_logic_vector(31 downto 0):=x"00000001"; -- version
--      constant board : std_logic_vector(31 downto 0):=x"53355349"; -- S5SI
--	constant board : std_logic_vector(31 downto 0):=x"41354758"; -- A5GX 
--	constant board : std_logic_vector(31 downto 0):=x"41354754"; -- A5GT
constant board : std_logic_vector(31 downto 0):=x"43354754"; -- C5GT            
--	constant product : std_logic_vector(31 downto 0):=x"0000AB46"; -- 43846   S5SI Demo Board - GX Version
--	constant product : std_logic_vector(31 downto 0):=x"0000AC41"; -- 44097   S5SI Demo Board - GT Version
--	constant product : std_logic_vector(31 downto 0):=x"0000AC40";   -- 44096   A5GX Dev Kit Demo Board
--	constant product : std_logic_vector(31 downto 0):=x"0000AC84";   -- 44164   A5GT Dev Kit Demo Board
	constant product : std_logic_vector(31 downto 0):=x"0000AC93";   -- 44165   S5 SOC Dev Kit Demo Board   

constant version : std_logic_vector(31 downto 0):=x"00000001"; -- version << whatever you decide this number    



begin

	process(reset_n, clk)begin
		if(reset_n = '0')then
			av_data_read <= (others => '0');
		elsif(clk'event and clk = '1')then
			if(chipselect_n = '0' and read_n = '0')then
				case av_address is
					when "00" => av_data_read <= product;
					when "01" => av_data_read <= board;
					when "10" => av_data_read <= sof;
					when "11" => av_data_read <= version;
				end case;
			end if;
		end if;
	end process;
end rtl;

